> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flinks.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /GetAllAttributes

> Use the /GetAllAttributes endpoint to return a list of all customer attributes (only available to Flinks clients who take a Tier 2 or above package).

Use the `/GetAllAttributes` endpoint to return a list of all customer attributes (only available to Flinks clients who take a Tier 2 or above package).

To successfully call this endpoint, you must first call the `/Authorize` endpoint to obtain a valid `requestId`.

## Response Fields

| **NAME**          | **TYPE** | **DESCRIPTION**                                                                                                                                  |
| ----------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------ |
| Card              | object   | Object containing an **id** field (end user's LoginId) and all the requested attributes (name: value)                                            |
| Login             | object   | Object representing some end user's technical information such as the LoginId. See **Authorize** endpoint documentation for this object details. |
| RequestId         | string   | GUID representing an authorized request to the API. You get this value after a successful **Authorize** request.                                 |
| AttributesDetails | object   | Object containing the fields **TransactionId**, **AccountId**, **Date**, **Description**, **Debit**, and **Credit per Attribute**.               |

<Note>
  <p class="h4">You may receive NONE\_DETECTED in the response</p>

  If your response contains the `NONE_DETECTED` field, we did not find any transactions in that category in the account history and, therefore, do not have any data to return.

  All attributes will return the `NONE_DETECTED` field if no data is available.
</Note>


## OpenAPI

````yaml GET /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetAllAttributes
openapi: 3.0.3
info:
  title: Flinks API
  description: >
    Flinks API provides financial data connectivity, enrichment, and payment
    solutions.


    ## Authentication

    Endpoints require authentication using `flinks-auth-key` header (Bearer
    token).


    For more information, visit: https://docs.flinks.com
  version: 3.0.0
  contact:
    name: Flinks Support
    url: https://www.flinks.com/contact/sales
  termsOfService: https://www.flinks.com
servers:
  - url: https://{instance}-api.private.fin.ag
    description: Flinks API Environment
    variables:
      instance:
        default: toolbox
        description: The environment instance (e.g., toolbox, sandbox, production)
security: []
tags:
  - name: Authorization
    description: Endpoints for generating authorization tokens and authenticating requests
  - name: Enrich - Consumer Attributes
    description: Consumer financial attribute analysis and credit risk assessment
paths:
  /v3/{customerId}/insight/login/{loginId}/attributes/{requestId}/GetAllAttributes:
    get:
      tags:
        - Enrich
      summary: Get All Attributes
      description: >-
        Use the /GetAllAttributes endpoint to return a list of all customer
        attributes (only available to Flinks clients who take a Tier 2 or above
        package).
      operationId: getAllAttributes
      parameters:
        - name: x-api-key
          in: header
          schema:
            type: string
          description: Security feature that grants access to this endpoint.
        - name: customerId
          in: path
          required: true
          schema:
            type: string
            default: 43387ca6-0391-4c82-857d-70d95f087ecb
          description: >-
            Unique GUID provided by Flinks that grants you access to the
            environment specified in the instance field.
        - name: loginId
          in: path
          required: true
          description: GUID representing end user's login ID.
          schema:
            type: string
        - name: requestId
          in: path
          required: true
          description: GUID representing an authorized request to the API.
          schema:
            type: string
      responses:
        '200':
          description: Success
          content:
            application/json:
              schema:
                type: object
                properties:
                  Card:
                    type: object
                    description: >-
                      Object containing an id field (end user's LoginId) and all
                      the requested attributes (name: value).
                  Login:
                    type: object
                    description: >-
                      Object representing some end user's technical information
                      such as the LoginId.
                  RequestId:
                    type: string
                    description: GUID representing an authorized request to the API.
                  AttributesDetails:
                    type: object
                    description: Object containing the fields for attribute details.
        '202':
          description: Operation Pending
          content:
            application/json:
              schema:
                type: object
                properties:
                  FlinksCode:
                    type: string
                  HttpStatusCode:
                    type: integer
                  Message:
                    type: string
                  RequestId:
                    type: string
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  Message:
                    type: string

````